PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

double PLASMA_zlange | ( | PLASMA_enum | norm,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex64_t * | A,
|  | int | LDA
| ) |  |

PLASMA_zlange returns the value

zlange = ( max(abs(A(i,j))), NORM = PlasmaMaxNorm ( ( norm1(A), NORM = PlasmaOneNorm ( ( normI(A), NORM = PlasmaInfNorm ( ( normF(A), NORM = PlasmaFrobeniusNorm

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

Parameters

  [in] | norm | = PlasmaMaxNorm: Max norm = PlasmaOneNorm: One norm = PlasmaInfNorm: Infinity norm = PlasmaFrobeniusNorm: Frobenius norm
  [in] | M | The number of rows of the matrix A. M >= 0. When M = 0, the returned value is set to zero.
  [in] | N | The number of columns of the matrix A. N >= 0. When N = 0, the returned value is set to zero.
  [in] | A | The M-by-N matrix A.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).

Returns

Return values

  the | norm described above.

See also
  PLASMA_zlange_Tile
  PLASMA_zlange_Tile_Async
  PLASMA_clange
  PLASMA_dlange
  PLASMA_slange